pcl::recognition::ORROctreeZProjection::Pixel Class Reference

`#include <pcl/recognition/ransac_based/orr_octree_zprojection.h>`

## Public Member Functions

| Pixel (int id)
void | set_z1 (float z1)
void | set_z2 (float z2)
float | z1 () const
float | z2 () const
int | getId () const

## Protected Attributes

float | z1_
float | z2_
int | id_

## Detailed Description

Definition at line 59 of file orr_octree_zprojection.h.

## Constructor & Destructor Documentation

## Pixel()

pcl::recognition::ORROctreeZProjection::Pixel::Pixel | ( | int | id | ) |

inline

Definition at line 62 of file orr_octree_zprojection.h.

## Member Function Documentation

## getId()

int pcl::recognition::ORROctreeZProjection::Pixel::getId | ( |  | ) | const

inline

Definition at line 77 of file orr_octree_zprojection.h.

## set_z1()

void pcl::recognition::ORROctreeZProjection::Pixel::set_z1 | ( | float | z1 | ) |

inline

Definition at line 65 of file orr_octree_zprojection.h.

## set_z2()

void pcl::recognition::ORROctreeZProjection::Pixel::set_z2 | ( | float | z2 | ) |

inline

Definition at line 68 of file orr_octree_zprojection.h.

## z1()

float pcl::recognition::ORROctreeZProjection::Pixel::z1 | ( |  | ) | const

inline

Definition at line 71 of file orr_octree_zprojection.h.

## z2()

float pcl::recognition::ORROctreeZProjection::Pixel::z2 | ( |  | ) | const

inline

Definition at line 74 of file orr_octree_zprojection.h.

## Member Data Documentation

## id_

int pcl::recognition::ORROctreeZProjection::Pixel::id_

protected

Definition at line 81 of file orr_octree_zprojection.h.

## z1_

float pcl::recognition::ORROctreeZProjection::Pixel::z1_

protected

Definition at line 80 of file orr_octree_zprojection.h.

## z2_

float pcl::recognition::ORROctreeZProjection::Pixel::z2_

protected

Definition at line 80 of file orr_octree_zprojection.h.

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/orr_octree_zprojection.h